#include "stdafx.h"
#include "message.h"

Message::Message(void)
{
	type = Unknown;
	NotifyDone = NULL;
	param.allocate(1);
	param[0] = 0;
	reason = 0;
}

Message::~Message(void)
{
}

Message * Message::Copy()
{
	Message * msg = new Message;
	msg->type = type;
	msg->NotifyDone = NotifyDone;
	msg->str = str;
	msg->description = description;
	msg->reason = reason;
	msg->id = id;
	msg->idType = idType;
	msg->result = result;
	msg->param = param;
	return msg;
}